
#include <Servo.h> 

const int trig = 8; // Pin 2 of sensor
const int echo = 9; // Pin 3 of sensor
long resp;
int dis;
char temp[50];
Servo motor;

void setup() {
  pinMode(trig, OUTPUT);
  pinMode(echo, INPUT);
  Serial.begin(9600);
  motor.attach(13); // Servo asociated to pin 13
}

void loop() {
  
  // Turn the servo 0 to 180 degrees
  for(int i=0;i<=180;i++){  
    motor.write(i);
    delay(50);
    dis = CalcularDistancia();
    
    sprintf(temp, "%d/%d\n", i, dis); // Print degrees/distance\n
    Serial.print(temp);
  }
  
  // Turn the servo 180 to 0 degrees
  for(int i=180;i>0;i--){  
    motor.write(i);
    delay(50);
    dis = CalcularDistancia();
  
    sprintf(temp, "%d/%d\n", i, dis);
    Serial.print(temp);
  }
  
}

// Function for calculate distance with the sensor
int CalcularDistancia(){ 
  digitalWrite(trig, LOW); 
  delayMicroseconds(2);
  digitalWrite(trig, HIGH); 
  delayMicroseconds(10);
  digitalWrite(trig, LOW);
  
  resp = pulseIn(echo, HIGH); // Returns time in microseconds
  dis = resp * 0.034 / 2; // Set for calculate distance from resp variable
  return dis;
}
